Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class SceneTreeWithShader.Leaf

    java.lang.Object
      de.grogra.imp3d.objects.SceneTree.Node
          de.grogra.imp3d.objects.SceneTree.Leaf
              de.grogra.imp3d.objects.SceneTreeWithShader.Leaf

Direct Known Subclasses:
  RaytracerLeaf

Enclosing class:
  SceneTreeWithShader

    public static class SceneTreeWithShader.Leaf

extends SceneTree.Leaf

This subclass of `SceneTree.Leaf` stores the shader and interior which are associated with the object of the leaf.

Author:
  Ole Kniemeyer

Field Summary
`Interior` | `interior` The interior of the object of this leaf.
`Shader` | `shader` The shader of the object of this leaf.

Fields inherited from class de.grogra.imp3d.objects.SceneTree.Leaf
`asNode, object, pathId`

Fields inherited from class de.grogra.imp3d.objects.SceneTree.Node
`next`

Constructor Summary
`SceneTreeWithShader.Leaf(java.lang.Object object, boolean asNode, long pathId)`

Method Summary
`void` | `setInterior(Interior interior)`
`void` | `setShader(Shader shader)`

Methods inherited from class de.grogra.imp3d.objects.SceneTree.Leaf
`accept, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getObject, getObject, getShort, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### interior

    public Interior interior

  The interior of the object of this leaf.

### shader

    public Shader shader

  The shader of the object of this leaf.

Constructor Detail

### SceneTreeWithShader.Leaf

    public SceneTreeWithShader.Leaf(java.lang.Object object,
                                    boolean asNode,
                                    long pathId)

Method Detail

### setInterior

    public void setInterior(Interior interior)

### setShader

    public void setShader(Shader shader)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD